<template>
  <q-toolbar class="bg-secondary text-white shadow-2">
    <q-toolbar-title>Results</q-toolbar-title>
  </q-toolbar>

  <q-list v-for="result in results" :key="result.rowid">
    <q-card flat bordered>
      <q-item-section>
        <q-chip :class="result.element_type">{{ result.element_type }}</q-chip>
      </q-item-section>
      <q-item-section>
        {{ result.text }}
        <q-item-label>{{ result.element_rowid }}</q-item-label>
      </q-item-section>
    </q-card>
  </q-list>
</template>

<script>
import {api} from 'boot/axios'

export default {
  name: "SearchResults",
  data() {
    return {
      query: String,
      results: [Object]
    }
  },
  mounted() {
    this.query = this.$route.params.query
    if (this.query) {
      this.fetchData(this.query)
    }
  },
  watch: {
    $route(to) {
      this.fetchData(to.params.query)
    }
  },

  methods: {
    fetchData: function (q) {
      api
        .get("/search?q=" + q)
        .then(response => {
          this.results = response.data.results
        })
    }
  }
}
</script>

<style scoped lang="scss">
.concept, .assertion, .aspect_node, .label, .linkrole, .xbrl_table, .concept_relationshipnode,
.dimension_relationshipnode, .formula_period, .table_rulenode, .table_breakdown, .dimension,
.domain_member, filter {
  width: 200px;
  text-align: center;
}

.concept {
  background: $blue-grey;
  color: white;
}

.label {
  background: $yellow;
}

.linkrole {
  background: $deep-purple;
  color: white;
}

.dimension {
  background: $green;
  color: white;
}

.xbrl_table,
.table_breakdown,
.table_rulenode,
.concept_relationshipnode,
.dimension_relationshipnode,
.formula_period,
.aspect_node,
.assertion,
.filter {
  background: $orange;
}
</style>
